// pages/follow/follow.js
const $api = require('../../utils/api.js').API;
const $push = require('../../utils/api.js').PUSH;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: [],
    page: 1,
    total: 0,
    show: 0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      id: options.id,
      user_id: options.user_id
    })
    this.getData();
  },
  next: function () {
    if (this.data.list.length < this.data.total) {
      const page = this.data.page + 1
      this.setData({
        page: page
      })
      this.getData()
    }
  },
  getData() {
    wx.showLoading({
      title: '正在加载',
    })
    var list = this.data.list
    //每日持股
    var parm = {
      id: this.data.id, user_id: this.data.user_id,
      page: this.data.page, page_size: 20
    }
    $api.getRecordList(parm).then(res => {
      wx.hideLoading()
      res.data.data.list.forEach(item => {
        list.push(item)
      })
      this.setData({
        list: list,
        total: res.data.data.total,
        show: 1
      })
    })
  },
  //预览
  preview(e) {
    wx.previewImage({
      urls: e.target.dataset.urls,
      current: e.target.dataset.src
    })
  },
  pushToday(e){
    $push.pushToday(e.currentTarget.dataset)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})